import PayAd from "../../utlis/aliSdk.es.js";

Page<{
  SDKVersion?: string;
  useComponent?: boolean;
  useComponent2?: boolean;
}>({
  data: {
    SDKVersion: "",
  },

  
  // 打开广告
  onTitleClick() {

    // 开发环境初始化
    const payAd = new PayAd('prod');
    const parms = {
      trafficId: "", //流量主ID，客户唯一标识（数字、字母、特殊字符组成）
      orderNumber:'111122',//订单流水号（数字、字母、特殊字符组成），最大长度40
      openId: "1212" || "", //用户id

    };
    // 获取广告并展示
    payAd.showAd(parms,{
      onSuccess: () => {
        console.log('广告展示成功-----------------------1');
        // 执行后续业务逻辑
      },
      onError: (err) => {
        console.error('广告展示失败---------------------0',err);
       
        // 执行错误处理逻辑
      }
    })
  },
  onLoad(query) {

  },
  onReady() {
    // 页面加载完成
  },
  onShow() {
    // 页面显示
    this.setData({
      SDKVersion: my.SDKVersion,
    });
  },
  onUnload() {
    // 页面被关闭
  },
  onPullDownRefresh() {
    // 页面被下拉
  },
  onReachBottom() {
    // 页面被拉到底部
  },
  onShareAppMessage() {
    // 返回自定义分享信息
    return {
      title: "My App",
      desc: "My App description",
      path: "pages/index/index",
    };
  },
});
